Module::CPANTS::Kwalitee::FindModules(3pm)

NAME
Module::CPANTS::Kwalitee::FindModules - Find modules provided by a dist

SYNOPSIS
Finds and reports all modules (i.e. *.pm files) in a distribution.

DESCRIPTION

  Methods
order

Defines the order in which Kwalitee tests should be run.

Returns 30, as data generated by "MCK::FindModules" is used by other tests.

analyse

"MCK::FindModules" first looks in "basedir" and lib/ for "*.pm" files. If it doesn't find any, it looks in the whole dist, but the "proper_libs" kwalitee point is only awarded if the modules are lib/ or there's only one module in "basedir".

kwalitee_indicators

Returns the Kwalitee Indicators data structure.

•   proper_libs

SEE ALSO
Module::CPANTS::Analyse

AUTHOR
Thomas Klausner <https://metacpan.org/author/domm>

COPYRIGHT AND LICENSE
Copyright © 2003–2006, 2009 Thomas Klausner <https://metacpan.org/author/domm>

You may use and distribute this module according to the same terms that Perl is distributed under.